ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aleksey Plekhanov (Jira)" <j...@apache.org>
Subject [jira] [Created] (IGNITE-13414) JDBC thin: compatibility is broken for versions 2.8-2.9
Date Tue, 08 Sep 2020 10:53:00 GMT
Aleksey Plekhanov created IGNITE-13414:
------------------------------------------

             Summary: JDBC thin: compatibility is broken for versions 2.8-2.9
                 Key: IGNITE-13414
                 URL: https://issues.apache.org/jira/browse/IGNITE-13414
             Project: Ignite
          Issue Type: Bug
          Components: jdbc
    Affects Versions: 2.9
            Reporter: Aleksey Plekhanov
             Fix For: 2.9


"User attributes" feature was added by IGNITE-12049, it was added in 2.9 version, but for
VER_2_8_0 condition:

{code:java}
         if (ver.compareTo(VER_2_8_0) >= 0) {
            dataPageScanEnabled = nullableBooleanFromByte(reader.readByte());

            updateBatchSize = JdbcUtils.readNullableInteger(reader);

            userAttrs = reader.readMap();
        }
{code}




--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message